package com.prolog.cs.biz.inbound.service.rqc;

import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.cs.biz.inbound.dto.rqc.RqcLinePicDTO;
import com.prolog.framework.authority.core.dto.UserDTO;
import com.prolog.framework.core.pojo.Page;

import java.util.Date;
import java.util.List;

/**
 * @Description
 * @Date 2021-03-24
 */

public interface RqcLinePicService {

	/**
	 * @Description
	 * @Date 2021-03-24 add RqcLinePicDTO
	 */
	public Object add(RqcLinePicDTO rqcLinePicDTO);

	/**
	 * @Description
	 * @Date 2021-03-24 edit RqcLinePicDTO
	 */
	public Object edit(String pkId, RqcLinePicDTO rqcLinePicDTO);

	/**
	 * @Description
	 * @Date 2021-03-24 delete RqcLinePicDTO
	 */
	public Object deletePkId(String pkId);

	/**
	 * @Description
	 * @Date 2021-03-24 delete RqcLinePicDTO
	 */
	public Object delIds(List<String> pkIdList);

	/**
	 * @Description
	 * @Date 2021-03-24 page condition search RqcLinePicDTO
	 */
	public Page<RqcLinePicDTO> findList(RqcLinePicDTO rqcLinePicDTO, PageParam pageParam);

	/**
	 * @Description
	 * @Date 2021-03-24 batchAdd RqcLinePicDTO
	 */
	public Object batchAdd(List<RqcLinePicDTO> rqcLinePicDTOList);

	/**
	 * @Description
	 * @Date 2021-03-24 batchEdit RqcLinePicDTO
	 */
	public Object batchEdit(List<RqcLinePicDTO> rqcLinePicDTOList);

	/**
	 * @Description
	 * @Date 2021-03-24 condition search all RqcLinePicDTO
	 */
	public List<RqcLinePicDTO> findAll(RqcLinePicDTO rqcLinePicDTO);

	/**
	 * @Description
	 * @Date 2021-03-24 findOne RqcLinePicDTO
	 */
	public RqcLinePicDTO findByPkId(String pkId);

	public Object batchAdd(List<RqcLinePicDTO> rqcLinePicDTOList, String masterId, UserDTO userDTO, Date now);
}
